From 1fbc4bbcadb542f8631b77fa692ef46a65dce051 Mon Sep 17 00:00:00 2001
From: Philip Cali <philip.cali@gmail.com>
Date: Wed, 1 Feb 2012 15:10:19 -0600
Subject: Decimal place piggyback off item setting

---
 admin/settings/grades.php   |    5 -----
 grade/edit/letter/index.php |   12 +++++++++---
 2 files changed, 9 insertions(+), 8 deletions(-)

diff --git a/admin/settings/grades.php b/admin/settings/grades.php
index e9962c2..547137c 100644
--- a/admin/settings/grades.php
+++ b/admin/settings/grades.php
@@ -176,11 +176,6 @@ if (has_capability('moodle/grade:manage', $systemcontext)
     if ($ADMIN->fulltree) {
         $temp->add(new admin_setting_configcheckbox('grade_letters_custom',
             get_String('letterscustompercents', 'grades'), get_string('letterscustompercents_help', 'grades'), 0));
-
-        $decimals = range(0, 5);
-
-        $temp->add(new admin_setting_configselect('grade_letters_decimals',
-            get_string('lettersdecimals', 'grades'), get_string('lettersdecimals_help', 'grades'), 2, $decimals));
     }
     $ADMIN->add('grades', $temp);
 
diff --git a/grade/edit/letter/index.php b/grade/edit/letter/index.php
index 351e87d..0daac69 100644
--- a/grade/edit/letter/index.php
+++ b/grade/edit/letter/index.php
@@ -45,6 +45,9 @@ if (!$edit) {
     require_capability('moodle/grade:manageletters', $context);
 }
 
+$custom = (bool) get_config('moodle', 'grade_letters_custom');
+$decimals = $custom ? (int) get_config('moodle', 'grade_decimalpoints') : 2;
+
 $returnurl = null;
 $editparam = null;
 if ($context->contextlevel == CONTEXT_SYSTEM or $context->contextlevel == CONTEXT_COURSECAT) {
@@ -66,6 +69,12 @@ if ($context->contextlevel == CONTEXT_SYSTEM or $context->contextlevel == CONTEX
     $returnurl = $CFG->wwwroot.'/grade/edit/letter/index.php?id='.$context->id;
     $editparam = '&edit=1';
 
+    if ($custom) {
+        $item = grade_item::fetch(array('itemtype' => 'course', 'courseid' => $course->id));
+
+        $decimals = $item ? $item->get_decimals() : $decimals;
+    }
+
     $gpr = new grade_plugin_return(array('type'=>'edit', 'plugin'=>'letter', 'courseid'=>$course->id));
 } else {
     print_error('invalidcourselevel');
@@ -77,9 +86,6 @@ $pagename  = get_string('letters', 'grades');
 $letters = grade_get_letters($context);
 $num = count($letters) + 3;
 
-$custom = (bool) get_config('moodle', 'grade_letters_custom');
-$decimals = $custom ? (int) get_config('moodle', 'grade_letters_decimals') : 2;
-
 //if were viewing the letters
 if (!$edit) {
 
-- 
1.7.1


